Tool
deployment_job_run
Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run
Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run
Behavior
- HTTP
POST /deployment/services/:serviceId/runs
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| serviceId | string | • | No description in the catalog. |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | |
| status | string | • | |
| trigger | string | • | |
| exitCode | integer | • | |
| createdAt | string | • | |
| serviceId | string | • | |
| startedAt | string | • | |
| finishedAt | string | • | |
| k8sJobName | string | • | |
| imageDigest | string | • | |
| triggeredBy | string | • | |
| deploymentId | string | • | |
| environmentId | string | • | |
| failureReason | string | • |
Try it
Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run.